import { Observable } from "rxjs";
import { AutherService } from "@justbe-angular/jb-auther";
import { AuthDataHandlerService } from "./auth-data-handler.service";
import { AuthConfigurationsModel } from "../models/auth-configurations.model";
import { GetOtpInputParamsModel } from "@justbe-angular/jb-auther/models/get-otp-input-params.model";
import { LoginUsingOtpInputParamsModel } from "../models/login-using-otp-input-params";
import { GlobalsModel } from "../models/globals.model";
import { StoreService } from "@justbe-angular/jb-store";
import { JbAuthModel } from "../models/jb-auth.model";
export declare class AuthService {
    private autherService;
    private authDataHandler;
    private storeService;
    private authConfigs;
    constructor(autherService: AutherService, authDataHandler: AuthDataHandlerService, storeService: StoreService);
    setConfigurations(authconfigs: AuthConfigurationsModel): void;
    getConfigurations(): any;
    loginUsingOtp(loginUsingOtpInputParams: LoginUsingOtpInputParamsModel): Observable<any>;
    getOtp(getOtpInputParams: GetOtpInputParamsModel): Observable<any>;
    logout(): Observable<{}>;
    getAuthData(): Observable<any>;
    saveAuthData(auth: JbAuthModel): void;
    setConfigs(globals: GlobalsModel): void;
}
